#include "resource.h"
#include <Windows.h>
#include <iostream>
#include <tchar.h>

LPWSTR str = L"unchecked";

INT_PTR CALLBACK dialog1_callback(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch (uMsg)
	{
	case WM_COMMAND:
		switch (LOWORD(wParam))
		{
		case IDCANCEL:
			SendMessage(hDlg, WM_CLOSE, 0, 0);
			return TRUE;
			break;
		case IDOK:
			MessageBox(hDlg, str, TEXT("text"), MB_OK);
			return TRUE;
			break;
		case IDC_RADIO1:
			if (HIWORD(wParam) == BN_CLICKED)
				if (::IsDlgButtonChecked(hDlg, IDC_RADIO1) == BST_CHECKED)
				{
					str = L"radio1";
				}
			return TRUE;
			break;
		case IDC_RADIO2:
			if (HIWORD(wParam) == BN_CLICKED)
				if (::IsDlgButtonChecked(hDlg, IDC_RADIO1) == BST_CHECKED)
				{
					str = L"radio2";
				}
			return TRUE;
			break;
		}
		break;

	case WM_CLOSE:
		if (MessageBox(hDlg, TEXT("Close the program?"), TEXT("Close"),
			MB_ICONQUESTION | MB_YESNO) == IDYES)
		{
			DestroyWindow(hDlg);
		}
		return TRUE;

	case WM_DESTROY:
		PostQuitMessage(0);
		return TRUE;
	}

	return FALSE;
}

int WINAPI _tWinMain(HINSTANCE hInst, HINSTANCE h0, LPTSTR lpCmdLine, int nCmdShow)
{
	HWND hDlg;
	MSG msg;
	BOOL ret;

	hDlg = CreateDialogParam(hInst, MAKEINTRESOURCE(IDD_DIALOG1), 0, dialog1_callback, 0);
	ShowWindow(hDlg, nCmdShow);

	while ((ret = GetMessage(&msg, 0, 0, 0)) != 0) {
		if (ret == -1)
			return -1;

		if (!IsDialogMessage(hDlg, &msg)) {
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}

	return 0;
}